xfs: test rw remount on norecovery ro mount
diff mbox

Message ID 1433220346-27511-1-git-send-email-eguan@redhat.com
State New
Headers show

Commit Message

Eryu Guan June 2, 2015, 4:45 a.m. UTC
Commit bbe051c841d5 ("xfs: disallow ro->rw remount on norecovery mount")
disabled rw remount on norecovery ro mount, this test makes sure the
behavior is correct.

Signed-off-by: Eryu Guan <eguan@redhat.com>
---
 tests/xfs/074     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/074.out |  2 ++
 tests/xfs/group   |  1 +
 3 files changed, 64 insertions(+)
 create mode 100755 tests/xfs/074
 create mode 100644 tests/xfs/074.out

Patch
diff mbox

diff --git a/tests/xfs/074 b/tests/xfs/074
new file mode 100755
index 0000000..9f8ae4e
--- /dev/null
+++ b/tests/xfs/074
@@ -0,0 +1,61 @@ 
+#! /bin/bash
+# FS QA Test 074
+#
+# Commit bbe051c8 disallows ro->rw remount on norecovery mount
+# This test makes sure the behavior is correct.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2015 Red Hat Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+_require_scratch
+
+echo "Silence is golden"
+_scratch_mkfs_sized $((512 * 1024 * 1024)) >$seqres.full
+
+# first ro mount with norecovery
+_scratch_mount "-o ro,norecovery" >>$seqres.full 2>&1 \
+	|| _fail "First ro mount failed"
+# make sure a following remount,rw fails
+_scratch_mount "-o remount,rw" >>$seqres.full 2>&1 \
+	&& _fail "Second rw remount succeeded"
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/074.out b/tests/xfs/074.out
new file mode 100644
index 0000000..380f065
--- /dev/null
+++ b/tests/xfs/074.out
@@ -0,0 +1,2 @@ 
+QA output created by 074
+Silence is golden
diff --git a/tests/xfs/group b/tests/xfs/group
index 848a1bd..2488cea 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -71,6 +71,7 @@ 
 071 rw auto
 072 rw auto prealloc quick
 073 copy auto
+074 auto quick mount
 078 growfs auto quick
 080 rw ioctl
 081 deprecated # log logprint quota